dbXML API

## com.dbxml.db.common.xupdate
Class XUpdateImpl

    java.lang.Object
      org.xmldb.xupdate.lexus.XUpdateQueryImpl
          com.dbxml.db.common.xupdate.XUpdateImpl

All Implemented Interfaces:
  java.io.Serializable, org.xmldb.common.xml.queries.XUpdateQuery

public class XUpdateImpl
extends org.xmldb.xupdate.lexus.XUpdateQueryImpl

Provides Collection and document based XUpdate capabilities. For more detail about XUpdate look at the XUpdate Working Draft.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.xmldb.xupdate.lexus.XUpdateQueryImpl
`NAMESPACE_URI`

Constructor Summary
`XUpdateImpl()`

Method Summary
`void` `execute(org.w3c.dom.Node contextNode)` Execute the XUpdate commands against a document.
`void` `execute(Transaction tx, DOMAdapter domAdapter)` Execute the set of XUpdate commands against a collection (in the form of a DOMAdapter).
`int` `getModified()` getModified returns the number of modified Documents.

Methods inherited from class org.xmldb.xupdate.lexus.XUpdateQueryImpl
`main, setNamespace, setNodeFilter, setQString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XUpdateImpl

    public XUpdateImpl()

Method Detail

### execute

    public void execute(org.w3c.dom.Node contextNode)
                 throws java.lang.Exception

  Execute the XUpdate commands against a document.

  Throws:
    `java.lang.Exception`

### getModified

    public int getModified()

  getModified returns the number of modified Documents.

  Returns:
    Modified document count

### execute

    public void execute(Transaction tx,
                        DOMAdapter domAdapter)
                 throws java.lang.Exception

  Execute the set of XUpdate commands against a collection (in the form of a DOMAdapter).

  Throws:
    `java.lang.Exception` - Description of Exception

dbXML API

Copyright (c) 2004 The dbXML Group